Name:           axiom
Version:        1.2.12
Release:        %mkrel 14
Epoch:          0
Summary:        Axis Object Model
License:        ASL 2.0
Url:            http://ws.apache.org/commons/axiom/
Group:          Development/Java
# svn export http://svn.apache.org/repos/asf/webservices/commons/tags/axiom/1.2.12/ axiom-1.2.12
# tar caf axiom-1.2.12.tar.xz axiom-1.2.12
Source0:        %{name}-%{version}.tar.xz
# This patch makes several build changes:
# 1) Remove deps on a JAF implementation -- this is built into openjdk 7
# 2) Use the javamail and stax implementations already in Fedora
# 3) Remove maven plugins not present in Fedora, which do not impact the build process
# 4) Remove modules which require additional dependencies not yet in Fedora
Patch0:         axiom-build-fixes.patch
BuildRequires:  junit
BuildRequires:  maven-local
BuildRequires:  maven-install-plugin
BuildRequires:  maven-plugin-build-helper
BuildRequires:  apache-rat-plugin
BuildRequires:  bea-stax-api
BuildRequires:  javamail
BuildRequires:  apache-commons-logging
BuildRequires:  jaxen
BuildRequires:  jdepend
BuildRequires:  woodstox-core
BuildRequires:  xmlunit

BuildArch:      noarch

%description
AXIOM stands for AXis Object Model (also known as OM - Object Model)
and refers to the XML info-set model that was initially developed for
Apache Axis2.

%package javadoc
Summary:        API Documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q
%patch0 -p1
rm -rf modules/axiom-jaxen-testsuite/src/main/

# fix eol
%{__perl} -pi -e 's/\r$//g' README.txt NOTICE RELEASE-NOTE.txt

%pom_remove_dep :axiom-testutils modules/axiom-api

%pom_remove_plugin :build-helper-maven-plugin

%build
# Skipping tests for now due to many extra deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc *.txt
%license NOTICE

%files javadoc -f .mfiles-javadoc
%license NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0:1.2.12-14.mga6
+ Revision: 981908
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 0:1.2.12-13.mga6
+ Revision: 980899
- First rebuild of the java stack
- sync package axiom with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Jan 01 2015 pterjan <pterjan> 0:1.2.12-12.mga5
+ Revision: 807940
- Clean rebuild
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 0:1.2.12-10.mga5
+ Revision: 740036
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 dmorgan <dmorgan> 0:1.2.12-8.mga4
+ Revision: 558420
- Fix build

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 0:1.2.12-5.mga3
+ Revision: 346749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 dmorgan <dmorgan> 0:1.2.12-4.mga3
+ Revision: 338812
- Simplify BR

* Thu Dec 13 2012 dmorgan <dmorgan> 0:1.2.12-3.mga3
+ Revision: 330435
- imported package axiom


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar  7 2012 Andy Grimm <agrimm@gmail.com> - 0:1.2.12-2
- add jpackage-utils requirement
- remove non-ASL source files prior to building

* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> - 0:1.2.12-1
- Initial build.
